-- 开服试炼-英雄挑战 1每日挑战奖励 2下一阶段奖励
Lua_HeroChallengeShowRewardWindow = class("Lua_HeroChallengeShowRewardWindow", Lua_Window);
function Lua_HeroChallengeShowRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_HeroChallengeShowRewardWindow";
	self.skinName = "HeroChallengeShowRewardWindow_skin";
	self.layer = Lua_MainWinDefine.TIPS_WINDOW_LAYER;
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showCloseText = true;
	self.closeTextPosY = -261;
end

function Lua_HeroChallengeShowRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 510, 112, Lua_AxisDefine.Horizontal);
	self.itemList:setListCell(Lua_HeroChallengeDailyChallengeItem, 116, 112, 1);
end

function Lua_HeroChallengeShowRewardWindow:showWin(param)
	self:superCall("showWin", param);

	local showList;
	if param == 1 then
		self.titleName:setLangValue(680012);
		showList = DataCenter.heroChallengeData.daily_item_list;
	else
		local stageInfo = DataCenter.heroChallengeData.daily_hurt_reward;
		local nextStageIdx = DataCenter.heroChallengeData.nextStageIdx;
		local isFinish = stageInfo[#stageInfo].is_finish == 0;
		if isFinish then
			self.titleName:setLangValue(680013);
		else
			self.titleName:setLangValue(680014);
		end

		showList = stageInfo[nextStageIdx].item_list;
	end
	local len = #showList;
	local posX = len > 4 and 0 or (510 - len * 116) / 2;
	self.itemList.canDrag = len > 4;
	self.itemList:setArrayData(showList);
	self.itemList:setLocation(posX, -72, 0);
end

function Lua_HeroChallengeShowRewardWindow:dispose()
	if self.itemList then
		self.itemList:dispose()
		self.itemList = nil
	end
	Lua_MsgUtil.callFunc("FIGHT_OVERALL_HURT_CLOSE")
	self:superCall("dispose")
end










Lua_HeroChallengeDailyChallengeItem = class("Lua_HeroChallengeDailyChallengeItem", Lua_ItemIconCell);
function Lua_HeroChallengeDailyChallengeItem:buildShowItem()
	self:superCall("buildShowItem");
	self.itemIcon:setScale(0.8, 0.8);
end

function Lua_HeroChallengeDailyChallengeItem:onPressClick()
	local checkItem = self:checkClick();
	if self.pressItem ~= nil and checkItem == self.pressItem then
		self.pressItem:onItemClick();
	end
end

function Lua_HeroChallengeDailyChallengeItem:checkClick()
	local winPos = LuaUtil.getTouchPosInverseObj(self.mainContent);
	if self.itemIcon.isActive and self.itemIcon:checkInBound(winPos.x, winPos.y) then
		return self.itemIcon;
	end
	return nil;
end

function Lua_HeroChallengeDailyChallengeItem:onMouseDownHandle()
	self.pressItem = self:checkClick();
	if self.pressItem ~= nil then
		self.pressItem:setScale(0.7, 0.7);
	end
end

function Lua_HeroChallengeDailyChallengeItem:onMouseUpHandle()
	if self.pressItem ~= nil then
		self.pressItem:setScale(0.8, 0.8);
	end
end