-- 专属订阅奖励展示
Lua_ShowPersonReadRewardWindow = class("Lua_ShowPersonReadRewardWindow", Lua_Window);
function Lua_ShowPersonReadRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ShowPersonReadRewardWindow";
	self.skinName = "ShowPersonReadRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showCloseText = true;
	self.closeTextPosY = -375;
end

function Lua_ShowPersonReadRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	local config = DataCenter.personReadData.personReadConfig;
	local arr = Array();
	for i = 1, #config.reward_list do
		arr:add(Lua_ToolVo.createToolVo(config.reward_list[i][1], config.reward_list[i][2]));
	end

	local posX = arr:getSize() < 4 and (480 - arr:getSize() * 120) / 2 or 0;
	self.rewardList = Lua_DragList.new(self.content, 480, 150, Lua_AxisDefine.Vertical);
	self.rewardList.canDrag = arr:getSize() > 4;
	self.rewardList:setListCell(Lua_ItemIconCell, 120, 120, 4);
	self.rewardList:setLocation(posX, 40, 0);
	self.rewardList:setArrayData(arr);

	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_ShowPersonReadRewardWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end

	self:superCall("dispose");
end